Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  iLogic / PDF erzeugen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  iLogic / PDF erzeugen (281 mal gelesen)
reinhard75
Mitglied



Sehen Sie sich das Profil von reinhard75 an!   Senden Sie eine Private Message an reinhard75  Schreiben Sie einen Gästebucheintrag für reinhard75

Beiträge: 42
Registriert: 04.01.2010

Fujitsu Intel Xeon CPU E3-1275 v6
Grafik Nvidea Quadro P2000
Win10 Pro
IV2021

erstellt am: 06. Apr. 2021 16:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,
einige Lieferanten von uns verlangen zu den Zeichnungsdateien noch zusätzlich eine PDF mit zu versenden.
Ich möchte die Erzeugung des PDF´S gern per iLogic automatisieren.
Die PDF soll in dem gleichen Ordner, wie die Zeichnungsdatei abgelegt werden.
Sobald ich die Zeichnungsdatei speichere, bzw. nach einer Aktualisierung speichern muss soll eine PDF erzeugt werden, bzw. die vorhandene PDF soll aktualisiert werden.
Wir arbeiten mit Inventor 2021. Ich habe schon einiges aus dem "Netz" ausprobiert. Aber leider nichts passendes gefunden.
hat jemand zufällig eine passende iLogic-Regel?

In der Programmierung von ilogic muss ich mich noch einarbeiten. Ist noch eine Baustelle von mir.

Vielen Dank schon mal.

Gruss
Reinhard

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

OibelTroibel
Mitglied
Konstrukteur


Sehen Sie sich das Profil von OibelTroibel an!   Senden Sie eine Private Message an OibelTroibel  Schreiben Sie einen Gästebucheintrag für OibelTroibel

Beiträge: 379
Registriert: 18.04.2014

ACAD/Inventor 2018-21

erstellt am: 06. Apr. 2021 16:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für reinhard75 10 Unities + Antwort hilfreich

Hallo Reinhard

Das funktioniert mit 2021 auch noch.

Beste Grüsse
Raphael

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KraBBy
Mitglied
Maschinenbau-Ingenieur


Sehen Sie sich das Profil von KraBBy an!   Senden Sie eine Private Message an KraBBy  Schreiben Sie einen Gästebucheintrag für KraBBy

Beiträge: 406
Registriert: 19.09.2007

Inventor Professional 2020
WinX

erstellt am: 06. Apr. 2021 17:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für reinhard75 10 Unities + Antwort hilfreich

auf die Schnelle habe ich nur diese Regel hier gefunden
iLogic PDF Eport Optionen reseten
Ob und wie gut das funktioniert, weiß ich nicht.

Noch einige Anmerkungen:


  • Ist das als externe Regel gedacht? Da muss sehr genau auf irgendwelche Ausnahmen geachtet werden! Zeichnungen bedeutet, JEDE Zeichnung ...
  • Eine Regel im einzelnen Dokument (z.B. in der Vorlage) ist ein Albtraum, wenn das mal geändert werden soll/muss und dann viele Altlasten vorhanden sind.
  • Abhängig vom Umfang Deiner 'durchschnittlichen' Zeichnung baust Du Dir eine gewisse Bremse ein (der Export dauert ein wenig).
  • Fehler beim Programmablauf müssen besonders sorgfältig behandelt werden (was, wenn jemand die vorh. pdf geöffnet hat? Überschreiben wird dann fehlschlagen).

------------------
Gruß KraBBy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

reinhard75
Mitglied



Sehen Sie sich das Profil von reinhard75 an!   Senden Sie eine Private Message an reinhard75  Schreiben Sie einen Gästebucheintrag für reinhard75

Beiträge: 42
Registriert: 04.01.2010

Fujitsu Intel Xeon CPU E3-1275 v6
Grafik Nvidea Quadro P2000
Win10 Pro
IV2021

erstellt am: 08. Apr. 2021 21:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank für die Lösungen.
Der Link von OibelTroibel funktioniert schon sehr gut.
Leider wird der PDF-Ordner nicht in dem gleichen Verzeichnis, wie die  Zeichnungsdatei angelegt, sondern ein Verzeichnis darüber.
Schöne wäre es, wenn der PDF-Ordner im gleichen Verzeichnis, wie die Zeichnungsdatei angelegt wird.
Was muss ich ändern?

'------start of iLogic-------
oPath = ThisDoc.Path
oFileName = ThisDoc.FileName(False) 'without extension
oRevNum = iProperties.Value("Project", "Revision Number")
oPDFAddIn = ThisApplication.ApplicationAddIns.ItemById _
("{0AC6FD96-2F4D-42CE-8BE0-8AEA580399E4}")
oDocument = ThisApplication.ActiveDocument
oContext = ThisApplication.TransientObjects.CreateTranslationContext
oContext.Type = IOMechanismEnum.kFileBrowseIOMechanism
oOptions = ThisApplication.TransientObjects.CreateNameValueMap
oDataMedium = ThisApplication.TransientObjects.CreateDataMedium
'If oPDFAddIn.HasSaveCopyAsOptions(oDataMedium, oContext, oOptions) Then
oOptions.Value("All_Color_AS_Black") = 1
oOptions.Value("Remove_Line_Weights") = 1
oOptions.Value("Vector_Resolution") = 400
oOptions.Value("Sheet_Range") = Inventor.PrintRangeEnum.kPrintAllSheets
'oOptions.Value("Custom_Begin_Sheet") = 2
'oOptions.Value("Custom_End_Sheet") = 4
'End If
'get PDF target folder path
oFolder = Left(oPath, InStrRev(oPath, "\")) & "PDF"
'Check for the PDF folder and create it if it does not exist
If Not System.IO.Directory.Exists(oFolder) Then
System.IO.Directory.CreateDirectory(oFolder)
End If
'Set the PDF target file name
oDataMedium.FileName = oFolder & "\" & oFileName & _
" Rev" & oRevNum & ".pdf"
'Publish document
oPDFAddIn.SaveCopyAs(oDocument, oContext, oOptions, oDataMedium)
'------end of iLogic-------

Danke + Gruss
Reinhard

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

EIBe 3D
Mitglied
Dipl. - Ing. (FH)


Sehen Sie sich das Profil von EIBe 3D an!   Senden Sie eine Private Message an EIBe 3D  Schreiben Sie einen Gästebucheintrag für EIBe 3D

Beiträge: 210
Registriert: 24.01.2020

HP Z4 G4 Workstation
Xeon 3,6 32GB
Nvidia P2000
WIN10
SW2015 SP5.0
SW2017
*************
Inv2018 akt.SP

erstellt am: 09. Apr. 2021 07:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für reinhard75 10 Unities + Antwort hilfreich

Hallo Reinhard,

bitte deinen Code demächst mit dem Code-Tags versehen, das macht ihn deutlich leserlicher.

Ändere:

Code:

oFolder = Left(oPath, InStrRev(oPath, "\")) & "PDF"
zu->
oFolder = oPath & "\PDF"


Hier der komplette Code:

Code:

'------start Of iLogic-------
oPath = ThisDoc.Path
oFileName = ThisDoc.FileName(False) 'without extension
oRevNum = iProperties.Value("Project", "Revision Number")
oPDFAddIn = ThisApplication.ApplicationAddIns.ItemById _
("{0AC6FD96-2F4D-42CE-8BE0-8AEA580399E4}")
oDocument = ThisApplication.ActiveDocument
oContext = ThisApplication.TransientObjects.CreateTranslationContext
oContext.Type = IOMechanismEnum.kFileBrowseIOMechanism
oOptions = ThisApplication.TransientObjects.CreateNameValueMap
oDataMedium = ThisApplication.TransientObjects.CreateDataMedium
'If oPDFAddIn.HasSaveCopyAsOptions(oDataMedium, oContext, oOptions) Then
oOptions.Value("All_Color_AS_Black") = 1
oOptions.Value("Remove_Line_Weights") = 1
oOptions.Value("Vector_Resolution") = 400
oOptions.Value("Sheet_Range") = Inventor.PrintRangeEnum.kPrintAllSheets
'oOptions.Value("Custom_Begin_Sheet") = 2
'oOptions.Value("Custom_End_Sheet") = 4
'End If
'get PDF target folder path
oFolder = oPath & "\PDF"
'Check for the PDF folder and create it if it does not exist
If Not System.IO.Directory.Exists(oFolder) Then
System.IO.Directory.CreateDirectory(oFolder)
End If
'Set the PDF target file name
oDataMedium.FileName = oFolder & "\" & oFileName & _
" Rev" & oRevNum & ".pdf"
'Publish document
oPDFAddIn.SaveCopyAs(oDocument, oContext, oOptions, oDataMedium)
'------end of iLogic-------


Grüße

EIBe 3D

[Diese Nachricht wurde von EIBe 3D am 09. Apr. 2021 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

reinhard75
Mitglied



Sehen Sie sich das Profil von reinhard75 an!   Senden Sie eine Private Message an reinhard75  Schreiben Sie einen Gästebucheintrag für reinhard75

Beiträge: 42
Registriert: 04.01.2010

Fujitsu Intel Xeon CPU E3-1275 v6
Grafik Nvidea Quadro P2000
Win10 Pro
IV2021

erstellt am: 12. Apr. 2021 07:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank die Korrektur. Ich werden mich bemühen.

Gruss
Reinhard

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2021 CAD.de | Impressum | Datenschutz